Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Singleton_Factory Class Reference

Many applications (and even some internal components), will use a single ACE_RMCast_Module to process all the events, for example, a receiver may decide to use the same ACE_RMCast_Module to process all incoming events, instead of using one per remote sender. More...

`#include <RMCast_Singleton_Factory.h>`

Inheritance diagram for ACE_RMCast_Singleton_Factory:

[legend]
Collaboration diagram for ACE_RMCast_Singleton_Factory:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Singleton_Factory (ACE_RMCast_Module *singleton)
virtual | ~ACE_RMCast_Singleton_Factory (void)
| Destructor. More...
virtual ACE_RMCast_Module * | create (void)
| Create a new proxy. More...
virtual void | destroy (ACE_RMCast_Module *)
| Destroy a proxy. More...
## Private Attributes
ACE_RMCast_Module * | singleton_
| The singleton object. More...

## Detailed Description

Many applications (and even some internal components), will use a single ACE_RMCast_Module to process all the events, for example, a receiver may decide to use the same ACE_RMCast_Module to process all incoming events, instead of using one per remote sender.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Singleton_Factory::ACE_RMCast_Singleton_Factory | ( | ACE_RMCast_Module * | singleton | ) |

  | Parameters:
  singleton | This object is returned by any call to create().

ACE_RMCast_Singleton_Factory::~ACE_RMCast_Singleton_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_RMCast_Module * ACE_RMCast_Singleton_Factory::create | ( | void |  | ) | `[virtual]`

| Create a new proxy. Reimplemented from ACE_RMCast_Module_Factory.

void ACE_RMCast_Singleton_Factory::destroy | ( | ACE_RMCast_Module * | receiver | ) | `[virtual]`

| Destroy a proxy. Some factories may allocate modules from a pool, or return the same module for all proxies. Consequently, only the factory knows how to destroy them. Reimplemented from ACE_RMCast_Module_Factory.

## Member Data Documentation

ACE_RMCast_Module* ACE_RMCast_Singleton_Factory::singleton_`[private]`

| The singleton object.

The documentation for this class was generated from the following files:

- RMCast_Singleton_Factory.h
- RMCast_Singleton_Factory.cpp
- RMCast_Singleton_Factory.i